# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/egg-gacha-ui-handler.ts:15

#####
Index

### Constructors

constructor

### Properties

active
awaitingActionInput
cursor
cursorObj
defaultText
eggGachaContainer
eggGachaMessageBox
eggGachaOptionSelectBg
eggGachaOptionsContainer
eggGachaOverlay
eggGachaSummaryContainer
gachaContainers
gachaCursor
gachaHatches
gachaInfoContainers
gachaKnobs
message
mode
onActionInput
pendingPrompt
prompt
scene
textCallbackTimer
textTimer
transitionCancelled
transitioning
tutorialActive
voucherCountLabels

### Methods

clear
clearText
consumeVouchers
getCursor
getDelayValue
getTextColor
getUi
hideSummary
processInput
processTutorialInput
pull
setCursor
setGachaCursor
setTransitioning
setup
show
showDialogue
showError
showPrompt
showSummary
showText
updateGachaInfo
updateVoucherCounts

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/egg-gacha-ui-handler.ts:37

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/egg-gacha-ui-handler.ts:32

### `Private` defaultText

defaultText: string

- Defined in src/ui/egg-gacha-ui-handler.ts:35

### `Private` eggGachaContainer

eggGachaContainer: Container

- Defined in src/ui/egg-gacha-ui-handler.ts:16

### `Private` eggGachaMessageBox

eggGachaMessageBox: NineSlice

- Defined in src/ui/egg-gacha-ui-handler.ts:17

### `Private` eggGachaOptionSelectBg

eggGachaOptionSelectBg: NineSlice

- Defined in src/ui/egg-gacha-ui-handler.ts:19

### `Private` eggGachaOptionsContainer

eggGachaOptionsContainer: Container

- Defined in src/ui/egg-gacha-ui-handler.ts:18

### `Private` eggGachaOverlay

eggGachaOverlay: Rectangle

- Defined in src/ui/egg-gacha-ui-handler.ts:25

### `Private` eggGachaSummaryContainer

eggGachaSummaryContainer: Container

- Defined in src/ui/egg-gacha-ui-handler.ts:26

### `Private` gachaContainers

gachaContainers: Container[]

- Defined in src/ui/egg-gacha-ui-handler.ts:21

### `Private` gachaCursor

gachaCursor: number

- Defined in src/ui/egg-gacha-ui-handler.ts:30

### `Private` gachaHatches

gachaHatches: Sprite[]

- Defined in src/ui/egg-gacha-ui-handler.ts:23

### `Private` gachaInfoContainers

gachaInfoContainers: Container[]

- Defined in src/ui/egg-gacha-ui-handler.ts:24

### `Private` gachaKnobs

gachaKnobs: Sprite[]

- Defined in src/ui/egg-gacha-ui-handler.ts:22

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` textCallbackTimer

textCallbackTimer: TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### `Private` transitionCancelled

transitionCancelled: boolean

- Defined in src/ui/egg-gacha-ui-handler.ts:34

### `Private` transitioning

transitioning: boolean

- Defined in src/ui/egg-gacha-ui-handler.ts:33

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### `Private` voucherCountLabels

voucherCountLabels: Text[]

- Defined in src/ui/egg-gacha-ui-handler.ts:28

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/egg-gacha-ui-handler.ts:712

### clearText

- clearText(): void

- #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:189

### consumeVouchers

- consumeVouchers(voucherType, count): void

- #### Parameters

  - voucherType: VoucherType
  - count: number

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:511

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getDelayValue

- getDelayValue(delay): number

- #### Parameters

  - delay: number

  #### Returns number

  - Defined in src/ui/egg-gacha-ui-handler.ts:269

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### hideSummary

- hideSummary(): void

- #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:483

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/egg-gacha-ui-handler.ts:552

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### pull

- pull(pullCount?, count?, eggs?): void

- #### Parameters

  - `Optional` pullCount: number
  - `Optional` count: number
  - `Optional` eggs: Egg []

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:276

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/egg-gacha-ui-handler.ts:677

### setGachaCursor

- setGachaCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  - Defined in src/ui/egg-gacha-ui-handler.ts:690

### setTransitioning

- setTransitioning(transitioning): void

- #### Parameters

  - transitioning: boolean

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:544

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/egg-gacha-ui-handler.ts:49

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/egg-gacha-ui-handler.ts:247

### showDialogue

- showDialogue(text, name, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - name: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:24

### showError

- showError(text): void

- #### Parameters

  - text: string

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:540

### showPrompt

- showPrompt(callback, callbackDelay): void

- #### Parameters

  - callback: Function
  - callbackDelay: number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:154

### showSummary

- showSummary(eggs): void

- #### Parameters

  - eggs: Egg []

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:433

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/egg-gacha-ui-handler.ts:522

### updateGachaInfo

- updateGachaInfo(gachaType): void

- #### Parameters

  - gachaType: GachaType

  #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:500

### updateVoucherCounts

- updateVoucherCounts(): void

- #### Returns void

  - Defined in src/ui/egg-gacha-ui-handler.ts:516